
Foreman - Bug #2633

local_secret_token.rb is zero bytes in RPM

06/07/2013 06:08 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After an install of Foreman 1.2, the generated token file is zero bytes:

rw-r----

. 1 root foreman   0 Jun  7 06:27 /usr/share/foreman/config/initializers/local_secret_token.rb

 There's a fallback path where it creates ~foreman/tmp/secret_token instead, but ideally the static one should be generated.

Associated revisions

Revision a5f44532 - 06/11/2013 12:45 AM - Dominic Cleal

fixes #2633 - enable generate_token rake task to run from elsewhere

Revision 34848de3 - 06/11/2013 10:31 AM - Dominic Cleal

fixes #2633 - enable generate_token rake task to run from elsewhere

(cherry picked from commit a5f4453257060e0e02b7fdd7498e2f5936c38a27)

History

#1 - 06/10/2013 01:11 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

https://github.com/theforeman/foreman/pull/710

#2 - 06/11/2013 04:17 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a5f4453257060e0e02b7fdd7498e2f5936c38a27.
